TICKIT_DEBUG_INIT(3)

NAME
tickit_debug_init - initialise the debugging system

SYNOPSIS
    #include <tickit.h>

    void tickit_debug_init(void);

    bool tickit_debug_enabled;

Link with -ltickit.

DESCRIPTION
tickit_debug_init() initialises the libtickit debugging system. It reads the values of the environment variables and sets up the output filehandle, if enabled. It also has a side-effect on the value of the tickit_debug_enabled global variable, setting it to the correct value. Applications that wish to read this variable to control their output of debugging messages may wish to call this function on startup, to ensure it takes the correct value.

tickit_debug_init() is guarded internally so that it is safe to call multiple times; there is no downside to opportunistically invoking it on startup anyway, even if some other part of the application may also have done so.

RETURN VALUE
This function returns no value.

SEE ALSO
tickit_debug_logf(3), tickit_debug(7), tickit(7)